/** @hidden */ /** */
//@ts-ignore
import React from 'react';
import { FindOptions } from './types';
import { SearchPanelBase } from './SearchPanelBase';
/**
 * SearchPanel component.
 **/
export declare class SearchPanel extends SearchPanelBase {
    state: import("./types").SearchPanelModel;
    private _searchQueryInput;
    /**
     * Close search panel.
     **/
    close(): void;
    /**
    * Open search panel.
    **/
    open(pin?: boolean, replaceMode?: boolean): void;
    focusSearchQueryInput(): void;
    /**
     * Begin search.
     * @example
     *
     * @param searchOptions Optional. Search options.
     */
    beginSearch(searchOptions?: FindOptions): Promise<void>;
    onEnterKey(): Promise<void>;
    onEscKey(): Promise<void>;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element | null;
}
